=== doc/Makefile ===
include ../Makefile.config

install:
	
	$(INSTALL)  gopherd.conf.5 $(MAN5DIR)
	$(INSTALL)  gopherd.8 $(MAN8DIR)
	$(INSTALL)  gopherindex.8 $(MAN8DIR)
	$(INSTALL)  gopher.1 $(MAN1DIR)
	$(INSTALL)  gophfilt.1 $(MAN1DIR)
	$(INSTALL)  gopherrc.5 $(MAN5DIR)

install_client:
	$(INSTALL_DIR) $(MAN1DIR)
	$(INSTALL_DIR) $(MAN5DIR)
	$(INSTALL_LIB) gopher.1 $(MAN1DIR)
	$(INSTALL_LIB) gophfilt.1 $(MAN1DIR)
	$(INSTALL_LIB) gopherrc.5 $(MAN5DIR)

install_server:
	$(INSTALL_DIR) $(MAN1DIR)
	$(INSTALL_DIR) $(MAN5DIR)
	$(INSTALL_DIR) $(MAN8DIR)
	$(INSTALL_LIB) gopherd.conf.5 $(MAN5DIR)
	$(INSTALL_LIB) gopherd.8 $(MAN8DIR)
	$(INSTALL_LIB) gopherindex.8 $(MAN1DIR)/gopherindex.1

all:
	$(NROFF)    gopherd.conf.5 >gopherd.conf.cat
	$(NROFF)    gopherd.8      >gopherd.cat
	$(NROFF)    gopherindex.8  >gopherindex.cat
	$(NROFF)    gopher.1       >gopher.cat
	$(NROFF)    gophfilt.1     >gophfilt.cat
	$(NROFF)    gopherrc.5     >gopherrc.cat

clean:
	-rm -f *~
