=== gophfilt/Makefile ===
#
# @(#)Makefile	1.1
#
# Makefile for gopher filter client
#


include ../Makefile.config

OBJS	= gophfilt.o

CCFLAGS	= $(OPT) $(GSYSTYPE) $(COMPAT) $(INTLOPTS) $(INCLUDES)

TARGET	= gophfilt

all:	$(TARGET)

.c.o:
	$(CC) $(CCFLAGS) -c $<

../object/libgopher.a:
	(cd ..; $(MAKE) $(MFLAGS) objects)

$(TARGET) : $(OBJS) ../object/libgopher.a
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(CLIENTLIBS) 

install : all
	-mv $(CLIENTDIR)/$(TARGET) $(CLIENTDIR)/$(TARGET).old
	$(INSTALL_DIR) $(CLIENTDIR)
	$(INSTALL_BIN) $(TARGET) $(CLIENTDIR)

clean:
	-rm -f $(TARGET) $(OBJS) *.out *~ core

$(OBJS): ../object/GSgopherobj.h ../conf.h
