=== gopherd/scripts/Makefile ===
#######################################################################
# lindner
# 1.2
# 1994/12/11 18:07:39
# /home/mudhoney/GopherSrc/CVS/gopher+/gopherd/scripts/Makefile,v
# Exp
#
# Paul Lindner, University of Minnesota DCS.
#
# Copyright 1994 by the Regents of the University of Minnesota
# see the file "Copyright" in the distribution for conditions of use.
#######################################################################
# MODULE: Makefile for scripts
#######################################################################
# Revision History:
# Makefile,v
# Revision 1.2  1994/12/11  18:07:39  lindner
# More intelligent install routines
#
#
#######################################################################


SCRIPTFILES = add-account add-account.ask

include ../../Makefile.config

install:
	@if [ ! -d $(SERVERDATA) ]; then \
		echo "No scripts installed, no such directory $(SERVERDATA)";\
	else \
		$(INSTALL_DIR) $(SERVERDATA)/bin ;\
		cp $(SCRIPTFILES) $(SERVERDATA)/bin ;\
	fi

clean:
	-rm -f $(OBJS) *.out *~ core
