## gopher 2.3

=== test/Makefile ===
--- 
+++ 
@@ -31,10 +31,8 @@
 	$(GFILT) "0/views/t-shirt" -t 0  >./results/views-txt
 
 	$(GFILT) "0/decode-n-scripts/C-Programming" -t 0  >./results/views-txt
-	(cd results; for fname in [a-z]*; do ; \
-             diff -c $fname ../good-results/$fname; done)
-
-	
+	$(GFILT) "m/cowmail" -t 1 >./results/mailfile
+	$(GFILT) "m/fileseparator" -t 1 >./results/filesep	
 
 all: test-nonroot
 	@echo "Now type make diffs to find any differences"
