=== gopherd/scripts/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #######################################################################
-# lindner
-# 1.2
-# 1994/12/11 18:07:39
-# /home/mudhoney/GopherSrc/CVS/gopher+/gopherd/scripts/Makefile,v
-# Exp
+# $Author: lindner $
+# $Revision: 1.3 $
+# $Date: 1995/02/17 18:30:00 $
+# $Source: /home/arcwelder/GopherSrc/CVS/gopher+/gopherd/scripts/Makefile,v $
+# $State: Exp $
 #
 # Paul Lindner, University of Minnesota DCS.
 #
@@ -13,7 +13,10 @@
 # MODULE: Makefile for scripts
 #######################################################################
 # Revision History:
-# Makefile,v
+# $Log: Makefile,v $
+# Revision 1.3  1995/02/17  18:30:00  lindner
+# Fix install for go4gw-type scripts
+#
 # Revision 1.2  1994/12/11  18:07:39  lindner
 # More intelligent install routines
 #
@@ -26,11 +29,20 @@
 include ../../Makefile.config
 
 install:
-	@if [ ! -d $(SERVERDATA) ]; then \
+	@-if [ ! -d $(SERVERDATA) ]; then \
 		echo "No scripts installed, no such directory $(SERVERDATA)";\
 	else \
-		$(INSTALL_DIR) $(SERVERDATA)/bin ;\
+		mkdir $(SERVERDATA)/bin ;\
 		cp $(SCRIPTFILES) $(SERVERDATA)/bin ;\
+		cp -r gateways $(SERVERDATA)/bin ;\
+		ln -s $(SERVERDATA)/bin/gateways/g2archie.gd $(SERVERDATA)/bin/gateways/g2archie.gpd ;\
+		ln -s $(SERVERDATA)/bin/gateways/g2finger.gd $(SERVERDATA)/bin/gateways/g2finger.gpd ;\
+		ln -s $(SERVERDATA)/bin/gateways/g2ftphack.gd $(SERVERDATA)/bin/gateways/g2ftphack.gpd ;\
+		ln -s $(SERVERDATA)/bin/gateways/g2geo.gd $(SERVERDATA)/bin/gateways/g2geo.gpd ;\
+		ln -s $(SERVERDATA)/bin/gateways/g2netfind.gd $(SERVERDATA)/bin/gateways/g2netfind.gpd ;\
+		ln -s $(SERVERDATA)/bin/gateways/g2nntp.gd $(SERVERDATA)/bin/gateways/g2nntp.gpd ;\
+		ln -s $(SERVERDATA)/bin/gateways/g2webster.gd $(SERVERDATA)/bin/gateways/g2webster.gpd ;\
+		ln -s $(SERVERDATA)/bin/gateways/g2whois.gd $(SERVERDATA)/bin/gateways/g2whois.gpd ;\
 	fi
 
 clean:
