## gopher 3.0.3woody2

=== debian/changelog ===
gopher (3.0.3woody2) stable-security; urgency=high

  * Non-maintainer upload for the Security Team.
  * Fix integer overflow vulnerability [gopherd/command.c, CAN-2004-0560]
  * Fix format string vulnerability [gopherd/ftp.c, CAN-2004-0561]
  * Sponsored by Martin Schulze <joey@debian.org>. Thank you!

 -- Uli Martens <uli@youam.net>  Wed,  4 Jan 2004 19:30:00 +0100

gopher (3.0.3woody1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix multiple buffer overflows in FTP handling code and 
    authentication code. (CAN-2003-0805)
 
 -- Steve Kemp <sxk@debian.org>  Thu, 18 Sep 2003 21:44:17 +0000

gopher (3.0.3) unstable; urgency=low
  * Patches for FreeBSD:
    * Test in configure for stdlib.h
    * Include stdlib.h if it's available in Malloc.h
    * Don't include malloc.h if it's missing in Malloc.h
    * Don't include strcasestr if it's present in util.c and util.h
  * Actually use our configure.in test for malloc.h in object/* files.
  * New configure.in tests for regexp.h and libgen.h
  * Regex.c: define __GOPHER_REGEX_C__ for extern support in Regex.h
  * Regex.c: For __APPLE__, REGEX_param is regexp *.
  * Regex.h: Move the lengthy SYSV regex test to top of file
  * Regex.h: Wrap libgen.h include in HAVE_LIBGEN_H
  * Regex.h: Enclose REGEX_param=regcomp in parens to avoid warnings
  * Regex.h: Add extern for REGEX_param.
  * Regex.h: Darwin is unlike anything else.  Support it with
    __APPLE__.
  * STRstring.h: Include malloc.h only if actually here.
  * Ditto for Stdlib.h.
  * Added /etc/logrotate.d/gopherd to gopherd.conffiles.
    Closes: #132804.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 12 Feb 2002 07:45:00 -0500

gopher (3.0.2) unstable; urgency=low

  * gopher: Removed processing of . at end of text files.  It would stop
    downloading when it would see ".\n" in a file.  Will need to modify
    gopher/ourutils.c:937 area to deal with this properly -- ignore
    .\n if it's at the end of the file, otherwise preserve it.
    Reported by Ashok Aiyar <aiyar@ebv.mimnet.nwu.edu>
  * Did the modification as described above.
  * Updated README.
  * Global change gopher@boombox.micro.umn.edu -> gopher@complete.org
  * Removed ./GPL.  This info is now in the file COPYING.
  * Changes to work with Solaris:
    * configure.in: Now looks for strings.h and string.h
    * object/Regex.h: Now include re_comp.h if available.
      Include regex.h only if re_comp.h is unavailable.
      Define the SYSVREGEX stuff only if HAVE_RE_COMP_H is not defined
    * object/String.h: Include string.h and strings.h based on configure
      test.
    Reports from Don Fike <fike@cs.utk.edu>
  * Added doc/PLATFORMS and updated debian/docs
  * gopherd.conf's include of gopherdlocal.conf was hardcoded to /etc.
    Now use configure's sysconfdir to generate it.  Moved gopherd.conf
    to gopherd.conf.in, modified Makefile.in to support this, removed
    gopherd.conf from source tree.  Reported by Kevin Griffin
    <vertov@artstar.com>
  * Added lines to gopherd.conf.in for .ogg and .mp2 files.
    Suggestion from Kevin Griffin <vertov@artstar.com>
  * Using $(INSTALL) from subdirectories broke on systems
    where install-sh was used because $(INSTALL) would always
    resolve to ./install-sh.  Replaced all instances of
    $(INSTALL) with @INSTALL@ (autoconf would provide the correct
    path) and removed INSTALL from Makefile.config.  Reported
    by Don Fike <fike@cs.utk.edu> on Solaris 2.6. 
  * Updated our copy of install-sh with the one from
    a current automake.
  * Updated patchlevel.h for release of 3.0.2.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Jan 2002 07:45:00 -0500

gopher (3.0.1) unstable; urgency=low

  * Installation routines modified -- pass -d to install to create
    config dirs.  This should fix installation problems.
  * Use sysconfigdir rather that $(DESTDIR)/etc for config files.
  * Fix a bug with specifying the gopher host on the command line.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 10 Jan 2002 07:30:00 -0500

gopher (3.0.0-1) unstable; urgency=low

  * Patched to work with Hurd.  Closes: #115511.  Uses
    suggestions from James Morrison <ja2morri@student.math.uwaterloo.ca>
    but not his patch.
    * gopher.c, gopherd/error.c, gopher/download.c:
      Modified to use HAVE_STRERROR
    * configure.in: Modified with checks for sys/param.h, HURD header files,
      get_current_dir_name, etc.
    * configure.h.in, configure: rebuilt.
  * Moved the current UMN Copyright notice in "COPYING" into "copyright"
  * Updated copyright files, etc. with current info.
  * Updated the locales with semi-current copyright stuff.
  * Updated greeting in gopher and gopherd.
  * This is Gopher 3.0.0, the Furry Terror release.  

 -- John Goerzen <jgoerzen@complete.org>  Tue,  8 Jan 2002 15:31:00 -0500

gopher (2.3.1-15) unstable; urgency=low

  * NetBSD port effort began.
  * Added crypt.h to configure.in's list of headers to look for.
    Reran autoconf/autoheader.
  * Modified gopherd/AUTH.h to include crypt.h only if it's available
    and to include unistd.h if it's available.  (NetBSD)
  * Integrated patches from David Allen <s2mdalle@titan.vcu.edu>
    (may have been done earlier anyway)
  * config.h.in: rebuilt by autoheader
  * configure: rebuilt by autoconf
  * configure.in:
    * Added REGEXLIBS test for NetBSD -- look for re_comp in -lcompat
    * Added checkes for term.h, re_comp.h, regex.h
  * gopher/ourutils.c, gopher/CURcurses.c: Use term.h check
  * gopher/Makefile.in, gopherd/Makefile.in, gophfilt/Makefile.in:
    * Use REGEXLIBS
  * gopher/globals.h, gopher/gopher.c: Remove sys_errlist
  * object/GSgopherobj.c: Removed <regex.h> #include, now use
    "Regex.h" that has proper regex determining logic
  * object/Regex.h: Moved regex.h include to here.  Make it conditional
    based on configure test.  Add conditional re_comp.h include.
  * gopherd/gopherd.c: Add init of view and filter after setjmp

