## gopher 3.0.3woody4

=== gopherd/scripts/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #######################################################################
-# $Author: lindner $
-# $Revision: 1.3 $
-# $Date: 1995/02/17 18:30:00 $
-# $Source: /home/arcwelder/GopherSrc/CVS/gopher+/gopherd/scripts/Makefile,v $
+# $Author: jgoerzen $
+# $Revision: 1.1.1.1 $
+# $Date: 2000/08/19 00:28:56 $
+# $Source: /var/cvs/gopher/gopherd/scripts/Makefile,v $
 # $State: Exp $
 #
 # Paul Lindner, University of Minnesota DCS.
@@ -14,6 +14,9 @@
 #######################################################################
 # Revision History:
 # $Log: Makefile,v $
+# Revision 1.1.1.1  2000/08/19 00:28:56  jgoerzen
+# Import from UMN Gopher 2.3.1 after GPLization
+#
 # Revision 1.3  1995/02/17  18:30:00  lindner
 # Fix install for go4gw-type scripts
 #
