=== debian/changelog ===
gopher (3.0.3woody4) oldstable-security; urgency=high

  * Non-maintainer uploda by the Security Team
  * Fix buffer overflow when dealing with malicious servers.
    [CAN-2005-2772]
 
 -- Steve Kemp <skx@debian.org>  Sun, 25 Sep 2005 12:08:22 +0000
 

gopher (3.0.3woody3) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied patch by John Goerzen to fix insecure temporary file creation
    [gopher/gopher.c, CAN-2005-1853]

 -- Martin Schulze <joey@infodrom.org>  Sat, 23 Jul 2005 15:40:22 +0200
