## gopher 3.0.6

=== debian/changelog ===
gopher (3.0.6) unstable; urgency=low

  * Deprecated gopherd in favor of PyGopherd.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Aug 2003 12:11:17 -0500

gopher (3.0.5) unstable; urgency=low

  * Integrated my patch to 3.0.4 for Solaris compilation.
  * Logging with chroot has long since been fixed; added a note to
    startopts about other chroot stuff.  Closes: #82590, #82591.
  * Gopherd sometimes sent "+INFO " instead of "+INFO: ".  Fixed.
    Closes: #142912.
  * doc/Makefile.in: Install manpages 0644 instead of 0755.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 26 Apr 2002 09:09:55 -0500

gopher (3.0.4) unstable; urgency=low
  * MAJOR rewrite of regex support.  This should make gopher
    compile and work better on several platforms.
  * Added regcomp and regree func checks to configure.in and
    regenerated configure and config.h
  * Removed the DOMAIN configure support, DOMAIN_NAME in gopherd,
    backupdomain in Socket.c, etc.  This should prevent the no.domain.name
    problem that people have been seeing.  Regenerated configure stuff.
  * Added line for .png to gopherd.conf.in
  * Added note about UFS builds on MacOS X to doc/PLATFORMS
  * Added FAQ and modified debian/docs
  * Updated gopherd.8 with information about type 'i'
  * Fixed gopher's URL handling -- it was missing the type character.
    Closes: #138337.
  * Another regex change.  Let's hope this fixes things for Solaris.
  * Fixed to properly calculated first arg to select in gopherd.c

 -- John Goerzen <jgoerzen@complete.org>  Tue, 19 Mar 2002 13:08:39 -0500
