=== debian/control ===
Source: gopher
Section: net
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Standards-Version: 3.1.1
Build-Depends: debhelper, libc-dev, c-compiler, make, ncurses-dev, autoconf

Package: gopher
Provides: gopher-client
Architecture: any
Depends: ${shlibs:Depends}
Description: Distributed Hypertext Client, Gopher protocol
 This package contains the client for the distributed global directory
 and hypertext system known as gopher.  This is a text-based (ncurses)
 client from the University of Minnesota.  It also supports the gopher+
 protocol, as well as links to ftp, http, and other external viewers.
