=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	# autoconf
+	autoconf
 	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info --disable-auth \
 		--sysconfdir=/etc
@@ -47,7 +47,7 @@
 	-rm -f config.status
 	-rm -f `find . -name "config.log"`
 	-rm -f Makefile.config gopher/Makefile gopher/locales/Makefile \
-		Makefile config.h doc/Makefile gopherd/Makefile \
+		Makefile config.h doc/Makefile \
 		gophfilt/Makefile object/Makefile
 
 	dh_clean
@@ -67,10 +67,7 @@
 	chmod -R a-x debian/tmp/etc
 
 	dh_movefiles
-	cp debian/startopts debian/gopherd/etc/gopherd/startopts
-	chmod u+x debian/tmp/etc/gopher debian/tmp/etc \
-		debian/gopherd/etc/gopherd
-	rmdir debian/tmp/etc/gopherd
+	chmod u+x debian/tmp/etc/gopher debian/tmp/etc 
 
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
