=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	autoconf
+	autoconf2.13
 	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info --disable-auth \
 		--sysconfdir=/etc
