## gopher 3.0.7sarge2

=== debian/changelog ===
gopher (3.0.7sarge2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix buffer overflow when dealing with malicious servers.
    [CAN-2005-2772]

 -- Steve Kemp <skx@debian.org>  Sun, 25 Sept 2005 10:36:10 +0000

gopher (3.0.7sarge1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied patch by John Goerzen to fix insecure temporary file creation
    [gopher/gopher.c, CAN-2005-1853]

 -- Martin Schulze <joey@infodrom.org>  Sat, 23 Jul 2005 16:55:24 +0200
