=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
 Standards-Version: 3.1.1
-Build-Depends: debhelper, libc-dev, c-compiler, make, ncurses-dev, autoconf
+Build-Depends: debhelper, libc-dev, c-compiler, make, ncurses-dev, autoconf2.13
 
 Package: gopher
 Provides: gopher-client
