## gopher 3.0.8

=== debian/changelog ===
gopher (3.0.8) unstable; urgency=low

  * Fix compile error with gcc 3.4.  Closes: #258752.
  * Fixed warnings relating to prototypes.  In download.c,
    prefer getcwd() to get_current_dir_name().  Closes: #226552.
  * No longer crash on problems piping to external programs.
    Thanks, Goeran Weinholt, for the patch.  Closes: #128990.
  * Install makes dirs for manpages if they don't already exist.
    Combined with other fixes in this version and prior versions,
    all bugs in 142913 are resolved.  Closes: #142913.
  * [debian] Removed build-deps on build-essential packages.
    Closes: #262423.
  * [debian] Updated standards-version and to new debhelper.
  * Fixed a small memory leak in download.c.
  * Fix potential insecure /tmp usage in gopher.c.
  * Use socklen_t instead of int for socket length operations,
    avoiding warnings about incorrect signedness.
  * Updated copyright files.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 20 Jul 2005 05:41:40 -0500
