## gopher 3.0.11

=== debian/changelog ===
gopher (3.0.11) unstable; urgency=high

  * [security] Fix for client buffer overflows [CAN-2005-2772].

 -- John Goerzen <jgoerzen@complete.org>  Thu, 22 Sep 2005 05:24:02 -0500
