=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=1
+export DH_COMPAT=4
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -20,6 +20,7 @@
 	dh_testdir
 	# Add here commands to configure the package.
 	autoconf2.13
+	autoheader2.13
 	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info --disable-auth \
 		--sysconfdir=/etc
@@ -59,22 +60,21 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install prefix=`pwd`/debian/tmp/usr \
-		PREFIX=`pwd`/debian/tmp/usr \
-		DESTDIR=`pwd`/debian/tmp
+	# Add here commands to install the package into debian/gopher.
+	$(MAKE) install prefix=`pwd`/debian/gopher/usr \
+		PREFIX=`pwd`/debian/gopher/usr \
+		DESTDIR=`pwd`/debian/gopher
 
-	chmod -R a-x debian/tmp/etc
+	chmod -R a-x debian/gopher/etc
 
-	dh_movefiles
-	chmod u+x debian/tmp/etc/gopher debian/tmp/etc 
+	#dh_movefiles
+	chmod u+x debian/gopher/etc/gopher debian/gopher/etc 
 
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
 binary-indep: DH_OPTIONS=-i
 binary-indep: build install
 	# Need this version of debhelper for DH_OPTIONS to work.
-	dh_testversion 2.0.103
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf
@@ -94,7 +94,6 @@
 	dh_compress
 	dh_fixperms
 	# You may want to make some executables suid here.
-	dh_suidregister
 	dh_installdeb
 #	dh_perl
 	dh_gencontrol
@@ -106,7 +105,6 @@
 binary-arch: DH_OPTIONS=-a
 binary-arch: build install
 	# Need this version of debhelper for DH_OPTIONS to work.
-	dh_testversion 1.1.17
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf
@@ -127,7 +125,6 @@
 	dh_compress
 	dh_fixperms
 	# You may want to make some executables suid here.
-	dh_suidregister
 	dh_installdeb
 #	dh_makeshlibs
 #	dh_perl
