## gopher 3.0.14

=== debian/changelog ===
gopher (3.0.14) unstable; urgency=medium

  * Fix Debian (Closes: #798758) thanks to patch from Axel Beckert
    + Use autoconf and gnulib instead of autoconf2.13.
    + debian/rules: configure-stamp is a dependency of build-stamp, not build.
    + debian/rules: Add symlink to /usr/share/gnulib/lib/getloadavg.c and
      remove it again in the clean target.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Nov 2015 11:47:19 -0600
