## gopher 3.0.15

=== debian/changelog ===
gopher (3.0.15) unstable; urgency=medium

  * Correct possible segfault in option parsing.  Closes #715977, #715978.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Nov 2015 19:00:08 -0600
