## gopher 3.0.15build1

=== debian/changelog ===
gopher (3.0.15build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 20:52:48 +0000
