=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
 Standards-Version: 3.6.2
-Build-Depends: debhelper (>= 4.0.0), ncurses-dev, autoconf2.13
+Build-Depends: debhelper (>= 4.0.0), ncurses-dev, autoconf, gnulib
 
 Package: gopher
 Provides: gopher-client
